@charset "utf-8";
/*------------------------------------------------*/
/*★ ベーススタイル設定 ★*/
/*------------------------------------------------*/
html {
  scroll-behavior: auto; /* 最初は無効 */
  &.is-ready {
    scroll-behavior: smooth; /* JSでクラスが付いてから有効 */
  }
  --scroll-padding-top: 37px; /*固定ナビ分*/
  @media (width > 776px) {
    --scroll-padding-top: 55px;
  }
  scroll-padding-top: var(--scroll-padding-top);
}
:where(:root, body) {
  overflow-x: clip;
}
main {
  div:not([class])::after {
    content: none;
  }
  a {
    text-decoration: none;
    color: inherit;
    &[tabindex='-1'] {
      pointer-events: none;
      cursor: default;
    }
  }
  picture {
    display: block;
  }
  .is-em {
    font-weight: bold;
  }
  :where(p, ul, ol) {
    font-weight: inherit;
  }
  :where(h1, h2, h3, h4, h5, h6, p, ul, ol) {
    font-weight: inherit;
    font-size: inherit;
  }
  em {
    font-style: normal;
  }
  .ui-static-tab-button {
    border-radius: 0;
    padding: 0;
    &::before {
      content: none;
    }
  }
  .ui-static-tab-content {
    margin-top: 0;
  }
  button {
    background: none;
    border: none;
    padding: 0;
    font: inherit;
    color: inherit;
    cursor: pointer;
  }
}
/*------------------------------------------------*/
#hisApp {
  position: relative;
}
:root {
  /*color*/
  --default-color-black: #000000;
  --default-color-white: #ffffff;
  --default-color-brown1: #4c493a;
  --default-color-brown2: #e3e1dc;
  --default-color-yellow1: #aa8c2e;
  --default-color-yellow2: #e5d295;
  --default-color-yellow3: #efece0;
  --default-color-hover: #be9d33;
  --default-color-icon-gourmet: #9f210b;
  --default-color-icon-sightseeing: #28790b;
  --default-color-tour-icon-business: #390b79;
  --default-color-notice: #737373;
  --default-color-font-black: #3e3b2f;
  /*font-size*/
  --default-font-size-12: 12px;
  --default-font-size-14: 14px;
  --default-font-size-13-12: clamp(12px, (12vw / 3.75), 13px);
  --default-font-size-18-16: clamp(16px, (16vw / 3.75), 18px);
  --default-font-size-20-16: clamp(16px, (16vw / 3.75), 20px);
  --default-font-size-24-18: clamp(18px, (18vw / 3.75), 24px);
  --default-font-size-26-18: clamp(18px, (18vw / 3.75), 26px);
  --default-font-size-normal: clamp(14px, (14vw / 3.75), 16px);
  --default-font-size-section-title: clamp(32px, (32vw / 3.75), 40px);
  --default-font-size-notice: 12px;
  /*gap*/
  --default-gap-4-2: clamp(2px, (2vw / 3.75), 4px);
  --default-gap-8-4: clamp(4px, (4vw / 3.75), 8px);
  --default-gap-16-12: clamp(12px, (12vw / 3.75), 16px);
  --default-gap-24-20: clamp(20px, (20vw / 3.75), 24px);
  --default-gap-32-24: clamp(24px, (24vw / 3.75), 32px);
  --default-gap-40-32: clamp(32px, (32vw / 3.75), 40px);
  --default-gap-80-64: clamp(64px, (64vw / 3.75), 80px);
  --default-gap-container: clamp(32px, (32vw / 3.75), 40px);
  --default-gap-section-top: clamp(80px, (80vw / 3.75), 120px);
  --default-gap-section-bottom: clamp(112px, (112vw / 3.75), 152px);
  --default-gap-section-gap: clamp(32px, (32vw / 3.75), 40px);
  --default-gap-notes-item: var(--default-gap-8-4);
  /*line-height*/
  --default-font-lh-150: 1.5;
  --default-font-lh-180: 1.8;
  --default-font-lh-130: 1.3;
  --default-font-lh: var(--default-font-lh-180);
  /*width*/
  --default-width-sp-val: 335;
  --default-width-pc-val: 1104;
  --default-width-sp: calc((335 / 375) * 100%);
  --default-width-pc: 1104px;
  --default-width: min(var(--default-width-sp), var(--default-width-pc));
  --default-width2: min(100%, var(--default-width-pc));
  --default-bg-width-pc: max(100%, 1920px);
  /*font-family*/
  --default-font-family: 'Noto Sans JP', sans-serif;
  --default-font-family-min: 'Zen Old Mincho', serif;
  --default-font-family-icon: 'Material Symbols Rounded';
  /*font-weight*/
  --default-font-weight-normal: 400;
  --default-font-weight-bold: 700;
  /*icon*/
  --default-icon-arrow-right: '\e5e1';
  --default-icon-blank: '\e89e';
  --default-icon-plus: '\e145';
  /*hover*/
  --default-hover-speed: 0.3s;
  --default-hover-opacity: 0.8;
  --default-hover-transition-opacity: opacity var(--default-hover-speed);
  --default-hover-transition-background: background var(--default-hover-speed);
  --default-hover-transition-color: color var(--default-hover-speed);
  /*border-radius*/
  --default-radius-button: 100vmax;
  --default-radius-4: 4px;
  --default-radius-8: 8px;
  --default-radius-16: 16px;
  --default-radius-24: 24px;
  /*border*/
  --default-border-black: 1px solid var(--default-color-black);
  /*box-shadow*/
  --default-box-shadow: 0 2px 2px 0 rgba(0, 0, 0, 0.25);
  /*transition*/
  --default-transition-speed: 0.3s;
  --default-transition-translate: translate var(--default-transition-speed) ease;
  --default-transition-color: color var(--default-transition-speed) ease;
}
.is-size-pc {
  --default-gap-pc-only80: 80px;
}
.material-symbols-rounded {
  font-family: var(--default-font-family-icon);
  font-weight: var(--default-font-weight-normal);
  font-style: normal;
  font-size: 1em;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -webkit-font-feature-settings: 'liga';
  font-feature-settings: 'liga';
  -webkit-font-smoothing: antialiased;
}
#pageApp {
  font-family: var(--default-font-family);
  font-size: var(--default-font-size-normal);
  font-weight: var(--default-font-weight-normal);
  color: var(--default-color-font-black);
  line-height: var(--default-font-lh);
  word-break: break-all;
  padding-bottom: 0 !important;
}
.main {
  img {
    width: 100%;
    height: auto;
    object-fit: contain;
  }
  table {
    width: 100%;
    border-spacing: 0;
    border-collapse: collapse;
  }
}
.is-inline-block {
  display: inline-block;
}
.is-indent-1,
.section [class*='notes--item'] {
  text-indent: -1em;
  padding-left: 1em;
}
:where(.is-size-sp .is-dsp-pc, .is-size-pc .is-dsp-sp) {
  display: none !important;
}
.js-accordion-button {
  cursor: pointer;
  + * {
    display: none;
  }
}
.js-toggleControl:not([class*='active']) {
  cursor: pointer;
}
:is(.js-accordion-content, .js-modal-content):not(.is-open) {
  display: none;
}
/*base-button*/
.base-button__wrapper,
.section-buttons {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: var(--default-gap-24-20);
  margin-top: var(--default-gap-32-24);
}
.base-button {
  --base-button-bg: var(--default-color-yellow1);
  --base-button-padding: 8px 28px 8px 40px;
  .is-size-pc & {
    --base-button-padding: 12px 36px 12px 48px;
  }
  width: fit-content;
  .ui-static-button {
    :is(&, &:not(.active):not(:disabled):active, &:focus, &.active, &.focused) {
      width: 100%;
      color: var(--base-button-font-color, #fff);
      font-size: var(--base-button-font-size, var(--default-font-size-18-16));
      line-height: var(--base-button-font-lh, var(--default-font-lh-150));
      text-align: center;
      display: grid;
      grid-template-columns: repeat(2, auto);
      justify-items: center;
      gap: var(--base-button-gap, var(--default-gap-8-4));
      padding: var(--base-button-padding);
      background: var(--base-button-bg);
      margin: auto;
      height: max-content;
      min-width: var(--base-button-min-width, auto);
      border-radius: var(--base-button-radius, var(--default-radius-button));
      .ui-static-icon {
        position: static;
        transform: translateY(0);
        --wght: 400;
        color: var(--base-button-icon-color, inherit);
        font-size: 1.5em;
        line-height: 0.5;
        .is-type-blank & {
          font-size: 1em;
        }
      }
    }
  }
}
/*base-textlink*/
.base-textlink__link {
  font-size: var(--base-textlink-font-size, var(--default-font-size-14));
  color: var(--base-textlink-color, inherit);
  padding-bottom: 1px; /*hoverのborder考慮用*/
  .base-textlink__texts {
    vertical-align: middle;
    line-height: 1.2;
    color: inherit;
    .ui-static-icon {
      color: inherit;
      translate: 0 2px;
      margin-left: var(--default-gap-4);
      scale: 1.5;
      .is-type-blank & {
        scale: 1;
        translate: 0 2px;
      }
    }
  }
}
/*text-in-link*/
.text-in-link {
  display: inline;
  text-decoration: underline;
  text-underline-offset: 0.1em;
  padding-right: var(--default-gap-8-4);
  --text-in-link-icon-bg: var(--default-color-blue1);
  &::after {
    content: '';
    display: inline-block;
    width: 1em;
    height: 1em;
    background: var(--text-in-link-icon-bg);
    mask: url(../images/text_link_icon.svg) no-repeat right center / contain;
    margin-left: 4px;
    translate: 0 0.15em;
  }
}
/*notes*/
:where(.is-indent-1, .section :is([class*='notes--item'], [class*='notes__item'])) {
  text-indent: -1em;
  padding-left: 1em;
}
:where([class*='notes--item'], [class*='notes__item']) {
  font-size: var(--default-font-size-notice);
  line-height: var(--default-font-lh-150);
  color: var(--default-color-notice);
  --notes-item-indent: 1em;
  text-indent: calc(calc(var(--notes-item-indent) * -1));
  padding-left: var(--notes-item-indent);
  &:not(:first-child) {
    margin-top: var(--notes-item-gap, var(--default-gap-notes-item));
  }
}
/*his-top__link*/
.his-top__link {
  .his-top__button {
    display: block;
    color: #fff;
    font-size: var(--default-font-size-14);
    font-weight: bold;
    line-height: 1.4;
    text-decoration: none;
    padding: calc(24em / 26) calc(60em / 26) calc(25em / 26) calc(20em / 26);
    background: #0057b8 url(/cmn/icon/icon_arrow_right_white.svg) no-repeat right calc(10em / 26) center / calc(48em / 26);
  }
}
/*float-button*/
.float-button {
  position: fixed;
  bottom: var(--floatbtn-posi-y);
  right: 10px;
  translate: var(--floatbtn-posi-x, 200%) 0;
  transition: translate 0.7s;
  z-index: 10;
  &.is-fixed:not(.is-over) {
    --floatbtn-posi-x: 0;
  }
}
.float-button__link {
  display: block;
  width: var(--floatbtn-size-w);
  height: var(--floatbtn-size-h);
  background: var(--floatbtn-bg) no-repeat center / contain;
}
/*------------------------------------------------*/
/*★ ＝＝ hover ＝＝ ★*/
@media (hover: hover) and (pointer: fine) {
  .base-button {
    .ui-static-button {
      :is(&, &:not(.active):not(:disabled):active, &:focus, &.active, &.focused) {
        &:hover {
          background-color: var(--default-color-hover);
        }
      }
    }
  }
  .base-textlink__link {
    &:hover {
      color: inherit;
      .base-textlink__text {
        text-decoration: underline;
        text-underline-offset: 0.1em;
      }
    }
  }
  .text-in-link {
    &:hover {
      text-decoration: none;
      --text-in-link-icon-bg: var(--default-color-primary);
    }
  }
}
